
# David - 2.2.1-2mdk - Reminder: 7.2 is for IA32 only
#                                8.0 is for IA32 and PPC
#                                8.1 is for IA32 and IA64
#                                8.2 is for IA32, IA64 and PPC

# David - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}

# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_1
%define unstable 0
%else
%define unstable 0
%endif

Name:		kdeedu
Summary:	K Desktop Environment - Toys and Amusements
Version:	3.1
Release:	5mdk
Epoch:		1
URL:		http://edu.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

Source: 	kdeedu-3.1.tar.bz2

# Laurent 3.0.2-2mdk patch for ix64!
Patch2:     kde-lib64updates.patch.bz2

# Laurent 3.0.3-4mdk fix mem leak in keduca
Patch3:		kdeedu-3.0.3-fix-mem-leak-in-keduca.patch.bz2

# Laurent -3.0.3-5mdk fix kgeo mem leak
Patch4:		kdeedu-3.0.3-fix-kgeo-mem-leak.patch.bz2

# Laurent - 3.0.3-6mdk fix kstars mem leak
Patch5:		kdeedu-3.0.3-fix-kstars-mem-leak.patch.bz2

Patch6:		kdeedu-3.1-fix-compile.patch.bz2

# Laurent - 3.1-5mdk fix from branch
Patch7:		kdeedu-3.1-fix-2003-03-07.patch.bz2

Group:		Graphical desktop/KDE
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL



%if %buildfor8_2
BuildRequires:	XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:	automake diffutils file freetype2 gawk gcc-c++ gcc-cpp gettext
BuildRequires:	kdelibs-devel libMesaGLU1 libbinutils2 libbzip2_1-devel
BuildRequires:	libintl1 libjpeg62-devel liblcms1 libmng1-devel libpng3-devel
BuildRequires:	libqt3-devel libstdc++ libtermcap2 m4
BuildRequires:	mktemp perl popt rpm-build texinfo zlib1-devel
%endif

%if %buildfor9_0 || %buildfor9_1
BuildRequires:  XFree86-devel XFree86-libs XFree86-static-libs arts autoconf
BuildRequires:  automake diffutils file freetype2 gawk gcc-c++ gcc-cpp gettext
BuildRequires:  kdelibs-devel libMesaGLU1 libbinutils2 libbzip2_1-devel
BuildRequires:  libintl2 libjpeg62-devel liblcms1 libmng1-devel libpng3-devel
BuildRequires:  libqt3-devel libstdc++ libtermcap2 m4
BuildRequires:  mktemp perl popt rpm-build texinfo zlib1-devel
%endif

Obsoletes:	kdeedu3
Provides:	kdeedu3

Obsoletes:	kstars, ktouch, keduca
Provides:	kstars, ktouch, keduca

%description
KStars is a desktop planetarium for Linux/KDE. 
Kalzium displays the Periodic Table of Elements. Included are a quizz, a 
Timeline, different color schemes and more..... 
KHangMan is the classical hangman game. 
KMessedWords: the letters are all scrambled, try to find the right word!. 
FlashKard is a vocabulary studying tool for learning languages or termninology. 
Kiten is a japanese reference/learning tool. 
KGeo is a program for interactive Geometry just like programs such as Euklid, Zirkel und Lineal or Kseg. 
KmPlot: mathematical function plotter. 
KPercentage: test your ability to answer percentage-related questions! 
KTouch: learn touch-typing with this very efficient program. 
KEduca helps the pupils revise their lessons. 


%prep

%setup -q -nkdeedu-3.1
#%patch2 -p1
#patch3 -p1
#%patch4 -p1
#%patch5 -p1

 #%patch6 -1
%patch7 -p1

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure




%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//' | sed -e 's/-ffast-math//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable			
                    --enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
                    --disable-static \
                    --disable-objprelink \
		    --disable-embedded \
		    --disable-qtopia \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
                    --with-xinerama


%make



%install
rm -fr %buildroot

# David - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif
export PATH=%_bindir:$PATH

make install prefix=%buildroot/usr/

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Languages %buildroot/%_datadir/applnk/Edutainment/Languages/khangman.desktop %buildroot/%_menudir/kdeedu-khangman kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Languages %buildroot/%_datadir/applnk/Edutainment/Languages/kiten.desktop %buildroot/%_menudir/kdeedu-kiten kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Languages %buildroot/%_datadir/applnk/Edutainment/Languages/klettres.desktop %buildroot/%_menudir/kdeedu-klettres kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Languages %buildroot/%_datadir/applnk/Edutainment/Languages/kmessedwords.desktop %buildroot/%_menudir/kdeedu-kmessedwords kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Languages %buildroot/%_datadir/applnk/Edutainment/Languages/kverbos.desktop %buildroot/%_menudir/kdeedu-kverbos kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Languages %buildroot/%_datadir/applnk/Edutainment/Languages/kvoctrain.desktop %buildroot/%_menudir/kdeedu-kvoctrain kde

kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Mathematics %buildroot/%_datadir/applnk/Edutainment/Mathematics/kgeo.desktop %buildroot/%_menudir/kdeedu-kgeo kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Mathematics %buildroot/%_datadir/applnk/Edutainment/Mathematics/kmplot.desktop %buildroot/%_menudir/kdeedu-kmplot kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Mathematics %buildroot/%_datadir/applnk/Edutainment/Mathematics/kpercentage.desktop %buildroot/%_menudir/kdeedu-kpercentage kde

kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Miscellanous %buildroot/%_datadir/applnk/Edutainment/Miscellanous/flashkard.desktop %buildroot/%_menudir/kdeedu-flashcard kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Miscellanous %buildroot/%_datadir/applnk/Edutainment/Miscellanous/ktouch.desktop %buildroot/%_menudir/kdeedu-ktouch kde

kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Science %buildroot/%_datadir/applnk/Edutainment/Science/kstars.desktop %buildroot/%_menudir/kdeedu-kstars kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Science %buildroot/%_datadir/applnk/Edutainment/Science/kalzium.desktop %buildroot/%_menudir/kdeedu-kalzium kde

kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Tools %buildroot/%_datadir/applnk/Edutainment/Tools/keduca.desktop %buildroot/%_menudir/kdeedu-keduca kde
kdedesktop2mdkmenu.pl kdeedu Applications/Edutainment/Tools %buildroot/%_datadir/applnk/Edutainment/Tools/keducaeditor.desktop %buildroot/%_menudir/kdeedu-keducaeditor kde


%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%clean
rm -fr %buildroot


%files 
%defattr(-,root,root)
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Edutainment/

%dir %_datadir/applnk/Edutainment/Languages/
%_datadir/applnk/Edutainment/Languages/.directory
%_datadir/applnk/Edutainment/Languages/*.desktop

%dir %_datadir/applnk/Edutainment/Mathematics/
%_datadir/applnk/Edutainment/Mathematics/.directory
%_datadir/applnk/Edutainment/Mathematics/*.desktop

%dir %_datadir/applnk/Edutainment/Miscellanous/
%_datadir/applnk/Edutainment/Miscellanous/.directory
%_datadir/applnk/Edutainment/Miscellanous/*.desktop

%dir %_datadir/applnk/Edutainment/Science/
%_datadir/applnk/Edutainment/Science/.directory
%_datadir/applnk/Edutainment/Science/*.desktop

%dir %_datadir/applnk/Edutainment/Tools/
%_datadir/applnk/Edutainment/Tools/.directory
%_datadir/applnk/Edutainment/Tools/*.desktop



%dir %_datadir/apps/
%dir %_datadir/apps/keduca/
%_datadir/apps/keduca/*.rc
%dir %_datadir/apps/keduca/pics/
%_datadir/apps/keduca/pics/*.png
%dir %_datadir/apps/keduca/icons/

%dir %_datadir/apps/keduca/icons/crystalsvg/
%dir %_datadir/apps/keduca/icons/crystalsvg/16x16/
%dir %_datadir/apps/keduca/icons/crystalsvg/16x16/actions/
%_datadir/apps/keduca/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/keduca/icons/crystalsvg/22x22/
%dir %_datadir/apps/keduca/icons/crystalsvg/22x22/actions/
%_datadir/apps/keduca/icons/crystalsvg/22x22/actions/*.png


%dir %_datadir/apps/kgeo/
%_datadir/apps/kgeo/*.rc
%dir %_datadir/apps/kgeo/pics/
%_datadir/apps/kgeo/pics/*.png
%dir %_datadir/apps/kgeo/toolbar/
%_datadir/apps/kgeo/toolbar/*.png

%dir %_datadir/apps/klettres/
%_datadir/apps/klettres/*.rc
%dir %_datadir/apps/klettres/pics/
%_datadir/apps/klettres/pics/*.png
%_datadir/apps/klettres/pics/*.jpeg

%dir %_datadir/apps/klettres/Danish/
%dir %_datadir/apps/klettres/Danish/alpha/
%_datadir/apps/klettres/Danish/alpha/*.mp3

%dir %_datadir/apps/klettres/Danish/data/
%_datadir/apps/klettres/Danish/data/*.txt

%dir %_datadir/apps/klettres/Danish/syllab/
%_datadir/apps/klettres/Danish/syllab/*.mp3

%dir %_datadir/apps/klettres/Dutch/
%dir %_datadir/apps/klettres/Dutch/alpha/
%_datadir/apps/klettres/Dutch/alpha/*.mp3

%dir %_datadir/apps/klettres/Dutch/data/
%_datadir/apps/klettres/Dutch/data/*.txt

%dir %_datadir/apps/klettres/Dutch/syllab/
%_datadir/apps/klettres/Dutch/syllab/*.mp3


%dir %_datadir/apps/klettres/French/
%dir %_datadir/apps/klettres/French/alpha/
%_datadir/apps/klettres/French/alpha/*.mp3

%dir %_datadir/apps/klettres/French/data/
%_datadir/apps/klettres/French/data/*.txt

%dir %_datadir/apps/klettres/French/syllab/
%_datadir/apps/klettres/French/syllab/*.mp3


%dir %_datadir/apps/kalzium
%_datadir/apps/kalzium/*rc
%_datadir/apps/kalzium/kmolweights

%dir %_datadir/apps/kalzium/pics/
%_datadir/apps/kalzium/pics/*.png

%dir %_datadir/apps/flashkard
%_datadir/apps/flashkard/*.rc
%dir %_datadir/apps/flashkard/icons/

%dir %_datadir/apps/flashkard/icons/crystalsvg
%dir %_datadir/apps/flashkard/icons/crystalsvg/16x16/
%dir %_datadir/apps/flashkard/icons/crystalsvg/16x16/actions/
%_datadir/apps/flashkard/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/flashkard/icons/crystalsvg/22x22
%dir %_datadir/apps/flashkard/icons/crystalsvg/22x22/actions/
%_datadir/apps/flashkard/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/apps/flashkard/icons/crystalsvg/32x32
%dir %_datadir/apps/flashkard/icons/crystalsvg/32x32/actions/
%_datadir/apps/flashkard/icons/crystalsvg/32x32/actions/*.png



%dir %_datadir/apps/khangman/
%dir %_datadir/apps/khangman/data/
%_datadir/apps/khangman/data/*.txt

%dir %_datadir/apps/khangman/pics/
%_datadir/apps/khangman/pics/*.jpg
%_datadir/apps/khangman/pics/*.png

%dir %_datadir/apps/khangman/sounds/
%_datadir/apps/khangman/sounds/*.ogg
%_datadir/apps/khangman/sounds/*.wav


%dir %_datadir/apps/kiten/
%_datadir/apps/kiten/*


%dir %_datadir/apps/kmplot/
%_datadir/apps/kmplot/*.rc

%dir %_datadir/apps/kmplot/toolbar/
%_datadir/apps/kmplot/toolbar/*.png


%dir %_datadir/apps/kpercentage/
%_datadir/apps/kpercentage/*.txt
%dir %_datadir/apps/kpercentage/pics/
%_datadir/apps/kpercentage/pics/*.png

%dir %_datadir/apps/kpercentage/story/
%_datadir/apps/kpercentage/story/*.story

%dir %_datadir/apps/kpercentage/icons/
%dir %_datadir/apps/kpercentage/icons/locolor/
%dir %_datadir/apps/kpercentage/icons/locolor/32x32
%dir %_datadir/apps/kpercentage/icons/locolor/32x32/actions/
%_datadir/apps/kpercentage/icons/locolor/32x32/actions/*.png

%dir %_datadir/apps/kpercentage/icons/crystalsvg/
%dir %_datadir/apps/kpercentage/icons/crystalsvg/32x32
%dir %_datadir/apps/kpercentage/icons/crystalsvg/32x32/actions/
%_datadir/apps/kpercentage/icons/crystalsvg/32x32/actions/*.png

%dir %_datadir/apps/kverbos/
%_datadir/apps/kverbos/*.rc

%dir %_datadir/apps/kverbos/pics/
%_datadir/apps/kverbos/pics/*.png

%dir %_datadir/apps/kmessedwords/
%_datadir/apps/kmessedwords/*.png
%_datadir/apps/kmessedwords/*.txt

%dir %_datadir/apps/kmessedwords/themes/
%dir %_datadir/apps/kmessedwords/themes/default/
%_datadir/apps/kmessedwords/themes/default/*.png
%dir %_datadir/apps/kmessedwords/themes/bubbly_crystal/
%_datadir/apps/kmessedwords/themes/bubbly_crystal/*.png

%dir %_datadir/apps/kstars/
%_datadir/apps/kstars/*

%dir %_datadir/apps/ktouch/
%_datadir/apps/ktouch/*


%dir %_datadir/apps/kvoctrain/
%_datadir/apps/kvoctrain/*.png
%_datadir/apps/kvoctrain/*.xpm

%dir %_datadir/apps/kvoctrain/examples/
%_datadir/apps/kvoctrain/examples/*.kvtml



%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/apps/
%_iconsdir/crystalsvg/16x16/apps/*.png

%dir %_iconsdir/crystalsvg/16x16/
%dir %_iconsdir/crystalsvg/16x16/actions/
%_iconsdir/crystalsvg/16x16/actions/*.png



%dir %_iconsdir/crystalsvg/22x22/actions/
%_iconsdir/crystalsvg/22x22/actions/*.png


%dir %_iconsdir/crystalsvg/32x32/
%dir %_iconsdir/crystalsvg/32x32/apps/
%_iconsdir/crystalsvg/32x32/apps/*.png
%dir %_iconsdir/crystalsvg/48x48/
%dir %_iconsdir/crystalsvg/48x48/apps/
%_iconsdir/crystalsvg/48x48/apps/*.png




%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
%_iconsdir/locolor/16x16/apps/*.xpm

%dir %_iconsdir/locolor/16x16/actions/
%_iconsdir/locolor/16x16/actions/*.png

%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png

%dir %_iconsdir/locolor/48x48/
%dir %_iconsdir/locolor/48x48/apps/
%_iconsdir/locolor/48x48/apps/*.png

%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/apps/
%_iconsdir/hicolor/22x22/apps/*.xpm

%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.xpm

%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/apps/
%_iconsdir/hicolor/48x48/apps/*.xpm
%_iconsdir/hicolor/48x48/apps/*.png



%_bindir/*
%_menudir/*

%_datadir/mimelnk/application/*.desktop

%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kgeo/
%doc %_docdir/HTML/en/kgeo/common
%doc %_docdir/HTML/en/kgeo/*.docbook
%doc %_docdir/HTML/en/kgeo/*.bz2
%doc %_docdir/HTML/en/kgeo/*.png

%dir %_docdir/HTML/en/khangman/
%doc %_docdir/HTML/en/khangman/common
%doc %_docdir/HTML/en/khangman/*.docbook
%doc %_docdir/HTML/en/khangman/*.bz2
%doc %_docdir/HTML/en/khangman/*.png

%dir %_docdir/HTML/en/klettres/
%doc %_docdir/HTML/en/klettres/common
%doc %_docdir/HTML/en/klettres/*.docbook
%doc %_docdir/HTML/en/klettres/*.bz2
%doc %_docdir/HTML/en/klettres/*.png

%dir %_docdir/HTML/en/kmessedwords/
%doc %_docdir/HTML/en/kmessedwords/common
%doc %_docdir/HTML/en/kmessedwords/*.docbook
%doc %_docdir/HTML/en/kmessedwords/*.bz2
%doc %_docdir/HTML/en/kmessedwords/*.png

%dir %_docdir/HTML/en/kstars/
%doc %_docdir/HTML/en/kstars/common
%doc %_docdir/HTML/en/kstars/*.docbook
%doc %_docdir/HTML/en/kstars/*.bz2
%doc %_docdir/HTML/en/kstars/*.png

%dir %_docdir/HTML/en/ktouch/
%doc %_docdir/HTML/en/ktouch/common
%doc %_docdir/HTML/en/ktouch/*.docbook
%doc %_docdir/HTML/en/ktouch/*.bz2
%doc %_docdir/HTML/en/ktouch/*.png

%dir %_docdir/HTML/en/kvoctrain/
%doc %_docdir/HTML/en/kvoctrain/common
%doc %_docdir/HTML/en/kvoctrain/*.docbook
%doc %_docdir/HTML/en/kvoctrain/*.bz2
%doc %_docdir/HTML/en/kvoctrain/*.png



%dir %_docdir/HTML/en/flashkard/
%doc %_docdir/HTML/en/flashkard/*.png
%doc %_docdir/HTML/en/flashkard/*.bz2
%doc %_docdir/HTML/en/flashkard/*.docbook

%dir %_docdir/HTML/en/kalzium/
%doc %_docdir/HTML/en/kalzium/*.bz2
%doc %_docdir/HTML/en/kalzium/*.docbook
%doc %_docdir/HTML/en/kalzium/*.png

%dir %_docdir/HTML/en/keduca/
%doc %_docdir/HTML/en/keduca/*.bz2
%doc %_docdir/HTML/en/keduca/*.docbook
%doc %_docdir/HTML/en/keduca/*.png

%dir %_docdir/HTML/en/kiten/
%doc %_docdir/HTML/en/kiten/*.bz2
%doc %_docdir/HTML/en/kiten/*.docbook

%dir %_docdir/HTML/en/kmathtool/
%doc %_docdir/HTML/en/kmathtool/*.bz2
%doc %_docdir/HTML/en/kmathtool/*.docbook

%dir %_docdir/HTML/en/kmplot/
%doc %_docdir/HTML/en/kmplot/*.png
%doc %_docdir/HTML/en/kmplot/*.docbook
%doc %_docdir/HTML/en/kmplot/*.bz2

%dir %_docdir/HTML/en/kpercentage
%doc %_docdir/HTML/en/kpercentage/*.png
%doc %_docdir/HTML/en/kpercentage/*.docbook
%doc %_docdir/HTML/en/kpercentage/*.bz2

%dir %_docdir/HTML/en/kverbos/
%doc %_docdir/HTML/en/kverbos/*.png
%doc %_docdir/HTML/en/kverbos/*.bz2
%doc %_docdir/HTML/en/kverbos/*.docbook


%_includedir/*.h

%_libdir/*.la
%_libdir/*.so*

%changelog
* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix from branch khangham
"fix layout bug in main window and in info dialog by adding proper layout
fix Close button that had same Shortcut than Child mode: changed Close to Quit"

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Fix kletter

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code fix kstars bug

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code from kde_3_1_branch fix kstars bug

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Wed Jan 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Remove debug

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.3mdk
- Rebuild with fontconfig

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Fix missing file

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Add missing file

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1

* Sun Oct 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Fix description + Url "Yura Gusev" <elendal-sub@polygonized.com> thanks

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- beta2
- Add patch6 fix compile

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add patch5 : fix kstars mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Add patch4 : fix kgeo mem leak

* Tue Sep 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Fix build requires on mdk8.2

* Mon Aug 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch3 : fix mem leak in keduca

* Thu Aug 22 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.3-3mdk
- Move menu entries in Applications/

* Tue Aug 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Remove -ffast-math fix kstars crash

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-4mdk
- Rebuild against new gcc-3.2
- Disable debuggage

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-3mdk
- Rebuild against gcc-3.2

* Tue Jul 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Rebuild against libintl2

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Sat Jun 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-7mdk
- Readd debug

* Thu May 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-6mdk
- Rebuild

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- fix menu entry

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Kdeedu3 -> kdeedu

* Sat May 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- Obsoletes keduca, kstars, ktouch

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove 'fomit-frame-pointer'
- Add missing menu entry

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde3.0

* Fri Mar 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- RC3

* Wed Feb 13 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix BuildRequires on 8.2

* Sat Feb 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta2.2mdk
- Fix ./configure
- Enable debug
- Set unstable macro to 1

* Wed Feb 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.1mdk
- Rename to allow KDE 2 & 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-1mdk
- kde 3.0 beta1

